org.flexdock.view.actions

## Class DefaultPinAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.flexdock.view.actions.ViewAction
    - - org.flexdock.view.actions.DefaultPinAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class DefaultPinAction
    extends ViewAction

Author:
  Christopher Butler, Bobby Rosenberger
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.flexdock.view.actions.ViewAction

`EMPTY_ACTION, viewId`

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPinAction()`

### Method Summary

Methods
`void` `actionPerformed(View view, java.awt.event.ActionEvent evt)`
`javax.swing.ButtonModel` `createButtonModel()`
`void` `updateState(View view, DockingState info, Button button)`

### Methods inherited from class org.flexdock.view.actions.ViewAction

`actionPerformed, getView, getViewId, setViewId`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPinAction

    public DefaultPinAction()

### Method Detail

#### actionPerformed

    public void actionPerformed(View view,
                       java.awt.event.ActionEvent evt)

Specified by:
  `actionPerformed` in class `ViewAction`

#### updateState

    public void updateState(View view,
                   DockingState info,
                   Button button)

#### createButtonModel

    public javax.swing.ButtonModel createButtonModel()

Overrides:
  `createButtonModel` in class `ViewAction`